Nested Parenthetical Madness

    gatsby-plugin-import

    2.1.7 • Public • Published

    gatsby-plugin-import

    Gatsby plugin to add support for using babel-plugin-import. (Only support Gatsby version >= 2.0.0)

    CircleCI branch Codecov Dependencies DevDependencies

    npm package npm downloads

    Usage

    Install

    Use npm:

    npm i babel-plugin-import -D
    npm i gatsby-plugin-import -S
    

    Or use yarn:

    yarn add babel-plugin-import -D
    yarn add gatsby-plugin-import
    

    Config

    in gatsby-config.js

    module.exports = {
      // ...
      plugins: [
        // ...
        {
          resolve: 'gatsby-plugin-import',
          options: {
            libraryName: "antd",
            style: true,   // or 'css'
          }
        },
      ],
    }
    

    More usage see there

    Contribution

    DefinitelyTyped only works because of contributions by users like you!

    Git Message

    Follow the Angular git commit message specification

    But, you can ignore the scope

    Install

    npm i gatsby-plugin-import

    DownloadsWeekly Downloads

    837

    Version

    2.1.7

    License

    MIT

    Unpacked Size

    4.07 kB

    Total Files

    5

    Last publish

    Collaborators

    • xyy94813